import React, { useState } from "react";
import useJsonHealthCheck from "../../hooks/useJsonHealthCheck";
import { UNKNOWN, OK, BAD, FAILED } from "../shared/StatusMessage";
import Tile from "../shared/Tile";

export default () => {
  const [health, setHealth] = useState(UNKNOWN);
  useJsonHealthCheck(
    "https://kirkleon.ddns.net/terrassumptions/api",
    () => setHealth(OK),
    () => setHealth(BAD),
    () => setHealth(FAILED),
  );

  return <Tile
    link="https://kirkleon.ddns.net/terrassumptions/"
    title="TerrAssumptions"
    health={health}
  />
}
